Subject: bug#14200: 24.3; Window fringes / margins get reset on switching buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Apr 2013 00:36:27 +0300

> Date: Sat, 13 Apr 2013 21:51:35 +0100
> From: E Sabof <[email-masked]>
> 
> If in emacs -Q, I evaluate:
> 
> (set-window-margins nil 5 5)
> (set-window-fringes nil 16 16)
> 
> and switch to a different buffer, the fringes/margins will be reset. They
> will still be frame-default if I switch back to the same buffer.

If you want the values you set be preserved for that buffer, you need
to set the buffer-local values of left/right-margin-width and
left/right-fringe-width.  If you want them to be preserved in a window
regardless of the buffer it displays, switch to another buffer by
invoking set-window-buffer with non-nil 3rd argument.

> Btw, I think it would make more sense, if the above settings where attached
> to a buffer and not a window.

They are (or can be), see above.